Send Coinflow Signed Solana Transaction

Send a Coinflow generated and signed transaction

Use Coinflow's battle tested ⚔️ Transaction Sending (The same system we use to send our own transactions)
This endpoint sends a fully signed Solana transaction with retries thru stable RPC servers.

This endpoint is specifically used in the case that the transaction attempting to be sent
was pre-signed by one of Coinflow's wallets.

For example:
Transaction is retrieved from the /api/redeem endpoint, that transaction
comes with the feePayer set and pre-signed by one of Coinflow's fee payer wallets.
This endpoint can then be called directly from a frontend without the need for the
merchant's API key like the /send-solana-tx endpoint above.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
  • merchantId: A valid merchant id
    signedTransaction: The signed transaction
    confirm: Confirm the solana transaction - Will cause the response times to be longer
boolean

(Default: false)

Solana transactions after submission need to be confirmed as having been
picked up by the network. State such as balance changes will not reflect until the transaction has been confirmed.
Additionally, errors such as invalid signers, insufficient gas, and network congestion can lead to the transaction being dropped.

The most ideal solution to this is for you to implement your own client side confirmation logic with the Solana SDK,
however we understand that is complex and not every merchant wants to do that.

Setting this property to true will mean the call will not return with your signature, until the solana transaction
has been confirmed. If the transaction is unable to be confirmed by the time the blockhash expires, then you wil receive a 503 error.

string
required

Merchant ID associated with the transaction

string
required

The message which has already been signed by the user and Coinflow.

Responses

417

Transaction Expired, fetch a new transaction, re-sign, and resend

503

The transaction can't be confirmed, fetch a new transaction, re-sign, and resend

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json